org.codehaus.plexus.components.interactivity

## Interface Prompter

All Known Implementing Classes:
  DefaultPrompter

    public interface Prompter

Prompt the user for input.

Version:
  $Id: Prompter.java 2649 2005-10-10 16:51:51Z brett $
Author:
  Brett Porter

### Field Summary

Fields
`static java.lang.String` `ROLE`

### Method Summary

Methods
`java.lang.String` `prompt(java.lang.String message)`
`java.lang.String` `prompt(java.lang.String message, java.util.List possibleValues)`
`java.lang.String` `prompt(java.lang.String message, java.util.List possibleValues, java.lang.String defaultReply)`
`java.lang.String` `prompt(java.lang.String message, java.lang.String defaultReply)`
`java.lang.String` `promptForPassword(java.lang.String message)`
`void` `showMessage(java.lang.String message)`

### Field Detail

#### ROLE

    static final java.lang.String ROLE

### Method Detail

#### prompt

    java.lang.String prompt(java.lang.String message)
                            throws PrompterException

Throws:
  `PrompterException`

#### prompt

    java.lang.String prompt(java.lang.String message,
                          java.lang.String defaultReply)
                            throws PrompterException

Throws:
  `PrompterException`

#### prompt

    java.lang.String prompt(java.lang.String message,
                          java.util.List possibleValues)
                            throws PrompterException

Throws:
  `PrompterException`

#### prompt

    java.lang.String prompt(java.lang.String message,
                          java.util.List possibleValues,
                          java.lang.String defaultReply)
                            throws PrompterException

Throws:
  `PrompterException`

#### promptForPassword

    java.lang.String promptForPassword(java.lang.String message)
                                       throws PrompterException

Throws:
  `PrompterException`

#### showMessage

    void showMessage(java.lang.String message)
                     throws PrompterException

Throws:
  `PrompterException`